# Uncomment the next line to define a global platform for your project
# platform :ios, '9.0'

target 'WoWonder' do
  # Comment the next line if you're not using Swift and don't want to use dynamic frameworks
  use_frameworks!
  
  # Pods for WoWonder
  pod 'IQKeyboardManagerSwift'
  pod 'Alamofire'
  pod 'JGProgressHUD'
  pod 'R.swift'
  pod 'Toast-Swift'
  pod 'AsyncSwift'
  pod 'DropDown'
  pod 'ReachabilitySwift'
  pod 'SwiftEventBus'
  pod 'TTRangeSlider'
  pod 'GoogleMaps'
  pod 'GooglePlaces'
  pod 'SkeletonView'
  pod 'PWSwitch'
  pod 'SDWebImage'
  pod 'Socket.IO-Client-Swift'
  pod 'StipopUIKit'
  pod 'ionicons'
  pod 'FittedSheets'
  pod 'CropViewController'
  pod 'SnapKit'
  pod 'AgoraRtcEngine_iOS'
  pod 'TwilioVideo'
  pod 'DeepAR'
  pod 'OneSignal/OneSignal'
  pod 'OneSignal/OneSignalInAppMessages'
  pod 'GoogleSignIn'
  pod 'Google-Mobile-Ads-SDK'
  pod 'FBSDKLoginKit'
  pod 'FBAudienceNetwork'
  
  target 'WoWonderTests' do
    inherit! :search_paths
    # Pods for testing
  end
  
  target 'WoWonderUITests' do
    inherit! :search_paths
    # Pods for testing
  end
  
  deployment_target = '13.0'
  
  post_install do |installer|
    installer.generated_projects.each do |project|
      project.targets.each do |target|
        target.build_configurations.each do |config|
          config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = deployment_target
        end
      end
      project.build_configurations.each do |config|
        config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = deployment_target
      end
    end
  end
end

target 'OneSignalNotificationServiceExtension' do
  use_frameworks!
  pod 'OneSignal/OneSignal'
  pod 'OneSignal/OneSignalInAppMessages'
end
